Autogen - Testsuite Researching

Jeremy Huntwork jhuntwork at linuxfromscratch.org
Sat Dec 17 06:55:22 PST 2005


Ken Moffat wrote:
> On Thu, 15 Dec 2005, Jim Gifford wrote:
> 
>> Just found this link.
>> http://gcc.gnu.org/install/prerequisites.html
>>
>> For fixinc's make check it says it's requires guile and autogen.

[snip]

>  The homepage suggests autogen needs libtools and the autotools.  That
> might be interesting, to put it mildly.

Current LFS is affected too. I'm seeing gcc looking for autogen in the
logs from my jhalfs build yesterday. Is this something worth
considering? Here's the note from the link Jim provided:

autogen version 5.5.4 (or later) and
guile version 1.4.1 (or later)
    Necessary to regenerate fixinc/fixincl.x from fixinc/inclhack.def
and fixinc/*.tpl.

    Necessary to run the fixinc make check.

    Necessary to regenerate the top level Makefile.in file from
Makefile.tpl and Makefile.def.

--
JH



More information about the cross-lfs mailing list